package domain

type AlibabaHmMarketingItembuygiftRemoveitemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftRemoveitemCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItembuygiftRemoveitemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftRemoveitemCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItembuygiftRemoveitemCommonActivityParam {
	s.OutActId = &v
	return s
}
